---
{%- for instance in kubeinstaller.sys.postgresql.instances %}

instance-{{ loop.index0 }}-cluster-initializer:
  name: "postgresql-{{ instance.name }}-cluster-initializer"
  nodespace: "{{ instance.nodespace }}"
  image:
    registry: "{{ kubeinstaller.sys.postgresql.profiles | selectattr('name', '==', instance.profile) | map(attribute='registry') | first }}"
    tag: "{{ kubeinstaller.sys.postgresql.profiles | selectattr('name', '==', instance.profile) | map(attribute='tag') | first }}"
  tz: "{{ kubeinstaller.sys.postgresql.profiles | selectattr('name', '==', instance.profile) | map(attribute='tz') | first }}"
  persistentVolumeClaim:
    name: "data-postgresql-{{ instance.name }}-server-0"
  cluster:
    name: "{{ instance.name }}"
instance-{{ loop.index0 }}-server:
  name: "postgresql-{{ instance.name }}-server"
  nodespace: "{{ instance.nodespace }}"
  image:
    registry: "{{ kubeinstaller.sys.postgresql.profiles | selectattr('name', '==', instance.profile) | map(attribute='registry') | first }}"
    tag: "{{ kubeinstaller.sys.postgresql.profiles | selectattr('name', '==', instance.profile) | map(attribute='tag') | first }}"
  tz: "{{ kubeinstaller.sys.postgresql.profiles | selectattr('name', '==', instance.profile) | map(attribute='tz') | first }}"
  domain: "{{ instance.domain }}"
  ca:
    issuerName: "{{ instance.ca.issuerName }}"
  network:
    poolName: "{{ instance.network.poolName }}"
  cluster:
    name: "{{ instance.name }}"
{%- endfor %}
